{% extends 'base.html' %}
{% load static %}

{% block meta %}
<link rel="stylesheet" href="{% static 'login_app/home.css' %}">

</style>
{% endblock meta %}

{% block content %}
<br>
<h1 style="text-align: center;">Ceritanya belanjaan</h1>

<!-- modal section -->

<div class="bg-modal">
    <div class="login">
        <div class="close">+</div>
        <form class= "login-parent" method="POST" action="">
            {% csrf_token %}
            <input id="username" type="text" placeholder="Username" name="username">
            <h4 id="username-shown"></h4>
            <div class= "button-ijo" id="selanjutnya">Selanjutnya</div>
            
            <input id="password" type="password" placeholder="Password" name="password">
            <div class="form-check">
                <label class="form-check-label" for="exampleCheck1">Ingat Saya dalam 30 hari</label>
                <input id="ingat-saya" type="checkbox" class="form-check-input" name = "ingatsaya">
            </div>
            
            <p id="message-info"></p>

            <button class= "button-ijo" id="tombol-login" type="submit">Login</button>
        </form>
        {% for message in messages %}
            <p id = "messages">{{message}}</p>
        {% endfor %}
        
    </div>
</div>

<script>
    // $(document).ready(function(){
    //     getMessages()
    // })

    // //untuk salah uname maupun password
    // function getMessages() {
    // $.ajax({
    //     url: "",
    //     contentType: "application/json",
    //     dataType: 'json',
    //     success: function(response){
    //         let resultBox = $("#message-info")
    //         let json = response.data
    //         let pesan = json[0].feedback;
    //         resultBox.html(pesan)
    //     }
    // })

    document.getElementById('login-button').addEventListener('click', function(){
        document.querySelector('.bg-modal').style.display = 'flex';
    });
    
    document.querySelector('.close').addEventListener('click', function(){
        document.querySelector('.bg-modal').style.display = 'none';
    });

    $("#selanjutnya").click(function() {

        //$("#username").hide();
        $("#selanjutnya").hide();
        $("#username-shown").show();
        $("#password").show();
        $(".form-check").show();
        $("#tombol-login").show();
        $.ajax({
            // type: "POST",
            data: {
                username: $("#username").val(),
            },
            success: function (data) {
                alert("something")
                $("#username-shown").append(data.username);
            }
        })
       
       
    });

    // untuk login
    $("#submit").click(function() {  
        $.ajax({
            url:"",
            type: "POST",
            headers: {
                "X-CSRFToken" : csrftoken,
            },
            data: {
                username: $("#username").val(),
                password: $("#password").val(),
                ingatsaya: $("#ingatsaya").is(":checked")
            },
        })
    });
    
</script>

{% endblock content %}